gtkmm: Gtk::CssParserWarning Class Reference

gtkmm 4.22.0

Public Types | Public Member Functions | List of all members
Gtk::CssParserWarning Class Reference

`#include <gtkmm/cssprovider.h>`

Inheritance diagram for Gtk::CssParserWarning:
[legend]

## Public Types
enum | Code { DEPRECATED , SYNTAX , UNIMPLEMENTED }
| Warnings that can occur while parsing CSS. More...

## Public Member Functions
| CssParserWarning (Code error_code, const Glib::ustring &error_message)
| CssParserWarning (GError *gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
const char * | what () const noexcept override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Since gtkmm 3.96:

## Member Enumeration Documentation

## ◆ Code

enum Gtk::CssParserWarning::Code

Warnings that can occur while parsing CSS.

Unlike `Gtk::CssParserError`s, warnings do not cause the parser to skip any input, but they indicate issues that should be fixed.

Since gtkmm 3.96:

Enumerator
DEPRECATED | The given construct is deprecated and will be removed in a future version.
SYNTAX | A syntax construct was used that should be avoided.
UNIMPLEMENTED | A feature is not implemented.

## Constructor & Destructor Documentation

## ◆ CssParserWarning() [1/2]

Gtk::CssParserWarning::CssParserWarning | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ CssParserWarning() [2/2]

Gtk::CssParserWarning::CssParserWarning | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gtk::CssParserWarning::code | ( |  | ) | const